package jp.co.sds_corp.util.msg;

import java.io.Serializable;

/**
*
*
*/
public interface IMessage extends Serializable
{
	public enum Type {
		TEXT,
		BYTE,
		MAP,
		STREAM,
		OBJECT,
		UNKNOWN
	};

	public Type getType();
	public void setType( Type type );

	public Object getObject() throws Exception;
	public void setObject( Object var ) throws Exception;

	// MAP の場合のみ
	public Object getObject( String key ) throws Exception;
	public void setObject( String key, Object var ) throws Exception;

	public void copyMessage( IMessage msg ) throws Exception;
}
