package	jp.co.sds_corp.util.msg;

import jp.co.sds_corp.util.common.NestedException;

public class MessageException extends NestedException
{
	/**
	* 詳細メッセージを持たないNestedExceptionを構築します。
	*/
	public MessageException() {
		super();
	}

	/**
	* 詳細メッセージを持つNestedExceptionを構築します。
	* @param	message		詳細メッセージ
	*/
	public MessageException( String message ) {
		super( message );
	}

	/**
	* 詳細メッセージを持つNestedExceptionを構築します。
	* @param	message		詳細メッセージ
	* @param	ex			元のException
	*/
	public MessageException( String message, Exception ex ) {
		super( message, ex );
	}

}
