package	jp.co.sds_corp.util.msg.jms;

import java.util.Hashtable;

import jp.co.sds_corp.util.config.IConfiguration;

/**
* JMS-QUEUEの親クラス
*/
public class SimpleJmsQueue extends JmsQueuePackage { 
	/**
	* ＪＭＳに接続します
	* @param env	接続パラメータ
	*/
	public void connect( Hashtable env ) throws Exception {
		super.connect(env);
	}

	/**
	* ＪＭＳに接続します
	* @param config 接続パラメータ
	*/
	public void connect( IConfiguration config ) throws Exception {
		super.connect(config);
	}

	/**
	* 送信リソースを生成します
	* @param queue 送信者
	*/
	public void createSender(String queue) throws Exception {
		createSender(queue, true);
	}

	/**
	* 受信リソースを生成します
	* @param queue 受信者
	* @param con   受信条件
	* @param wait  (true: wait false: non wait)
	*/
	public void createReceiver(String queue, String con, boolean wait)
		throws Exception
	{
		createReceiver(queue, con, wait, true);
	}

}
