package	jp.co.sds_corp.util.msg.jms;

import java.util.Hashtable;

import jp.co.sds_corp.util.config.IConfiguration;

/**
* JMS-Topic
*/
public class SimpleJmsTopic extends JmsTopicPackage
{
	/**
	* ＪＭＳに接続します
	* @param env	接続パラメータ
	*/
	public void connect( Hashtable env ) throws Exception {
		super.connect(env);
	}

	/**
	* ＪＭＳに接続します
	* @param config 接続パラメータ
	*/
	public void connect( IConfiguration config ) throws Exception {
		super.connect(config);
	}

	/**
	* 送信リソースを生成します
	* @param topic 送信者
	*/
	public void createSender(String topic) throws Exception {
		createSender(topic, true);
	}

	/**
	* 受信リソースを生成します
	* @param topic 受信者
	* @param con   受信条件
	* @param wait  (true: wait false: non wait)
	*/
	public void createReceiver(String topic, String con, boolean wait)
		throws Exception
	{
		createReceiver(topic, con, wait, true);
	}

}
